ubiquity crashed with TypeError in partman_edit_dialog()

Bug #494608 reported by Erick Brunzell on 2009-12-09
292
This bug affects 51 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Unassigned
Lucid
High
Unassigned

Bug Description

Binary package hint: ubiquity

This error occurred with the Lucid Alpha 1 i386 desktop testing iso while using the manual partition option.

Specifically I was attempting to reformat the first of two pre-created partitions.

This actually happened twice but I experienced a hard lockup the first time trying to submit the bug report.

Perhaps unrelated but I also had to choose Safe Graphics Mode to boot to the Live Desktop or even to be able to read the results of the Check disc for defects option. This is odd, I use openchrome drivers which have been supported since at least Gutsy.

I'll submit specific hardware info shortly, I just want to get this sent before I get another lockup.

ProblemType: Crash
Architecture: i386
Date: Wed Dec 9 10:41:48 2009
DistroRelease: Ubuntu 10.04
ExecutablePath: /usr/lib/ubiquity/bin/ubiquity
InterpreterPath: /usr/bin/python2.6
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20091209)
Package: ubiquity 2.1.4
ProcCmdline: /usr/bin/python /usr/lib/ubiquity/bin/ubiquity --only
ProcEnviron: Error: [Errno 13] Permission denied: '/proc/2798/environ'
ProcVersionSignature: Ubuntu 2.6.32-7.10-generic
PythonArgs: ['/usr/lib/ubiquity/bin/ubiquity', '--only']
SourcePackage: ubiquity
Tags: lucid
Title: ubiquity crashed with TypeError in partman_edit_dialog()
Uname: Linux 2.6.32-7-generic i686
UserGroups:

Erick Brunzell (lbsolost) wrote :
tags: removed: need-duplicate-check
Erick Brunzell (lbsolost) wrote :

My hardware:

VIA PC2500 Mainboard
VIA Esther C7 CPU 1500MHz
System Memory 2GB DIMM
VT8233/A/8235/8237 AC97 Audio Controller
CN700/P4M800 Pro/P4M800 CE/VN800 [S3 UniChrome Pro] Graphics

Steve Langasek (vorlon) on 2009-12-10
Changed in ubiquity (Ubuntu Lucid):
status: New → Triaged
importance: Undecided → High
tags: added: iso-testing
arky (arky) wrote :

On Lenovo R3000 laptop running ubiquity in debug mode.

Dec 10 19:04:48 ubiquity:
           'parent': u'/dev/sda',
Dec 10 19:04:48 ubiquity:
           'parted': {'fs': 'ext3',
Dec 10 19:04:48 ubiquity:
                      'id': '43034664960-80023749119',
Dec 10 19:04:48 ubiquity:
                      'name': '',
Dec 10 19:04:48 ubiquity:
                      'num': '4',
Dec 10 19:04:48 ubiquity:
                      'path': '/dev/sda4',
Dec 10 19:04:48 ubiquity:
                      'size': '36989084160',
Dec 10 19:04:48 ubiquity:
                      'type': 'primary'},
Dec 10 19:04:48 ubiquity:
           'resize_max_size': 36989084160L,
Dec 10 19:04:48 ubiquity:
           'resize_min_size': 26463870976L,
Dec 10 19:04:48 ubiquity:
           'resize_pref_size': 36989084160L}}
Dec 10 19:04:48 ubiquity: partition_cache end
debconf (developer): <-- METAGET partman-basicfilesystems/mountpoint choices-c
debconf (developer): --> 1 / - the root file system, /boot - static files of the
 boot loader, /home - user home directories, /tmp - temporary files, /usr - stat
ic data, /var - variable data, /srv - data for services provided by this system,
 /opt - add-on application software packages, /usr/local - local hierarchy, Ente
r manually, Do not mount it
debconf (developer): <-- METAGET partman-basicfilesystems/mountpoint choices
debconf (developer): --> 1 / - the root file system, /boot - static files of the
 boot loader, /home - user home directories, /tmp - temporary files, /usr - stat
ic data, /var - variable data, /srv - data for services provided by this system,
 /opt - add-on application software packages, /usr/local - local hierarchy, Ente
r manually, Do not mount it
Exception in GTK frontend (invoking crash handler):
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 2137, in on_partiti
on_list_edit_activate
    self.partman_edit_dialog(devpart, partition)
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 1994, in partman_ed
it_dialog
    self.dbfilter.edit_partition(devpart, **edits)
TypeError: edit_partition() got an unexpected keyword argument 'format'

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 2137, in on_partiti
on_list_edit_activate
    self.partman_edit_dialog(devpart, partition)
  File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 1994, in partman_ed
it_dialog
    self.dbfilter.edit_partition(devpart, **edits)
TypeError: edit_partition() got an unexpected keyword argument 'format'

arky (arky) wrote :

Workaround : Don't select format this partition and continue

visibility: private → public
philinux (philcb) wrote :

Same with 64bit iso.

jerrylamos (jerrylamos) wrote :

arky's workaround did. I pre-formatted the partition with gparted. Booted up install with "nomodeset" (otherwise splash is black text on a black screen on this Compaq ati) and the install proceeded O.K.

Thanks, arky.

Jerry

Seth Hikari (sethhikari) wrote :

Succeeded with the same work around as arky and jerrylamos

Colin Watson (cjwatson) on 2009-12-14
Changed in ubiquity (Ubuntu Lucid):
status: Triaged → Fix Committed
Colin Watson (cjwatson) wrote :

Please report graphics problems separately; they're likely to be the responsibility of either the kernel or X, and we can't handle them as installer bugs.

imwithid (imwithid) wrote :

In my case, I had one of the drives mounted. During the installation, I was asked if I would like to unmount the drive and chose yes. I chose the manual option for the partition manager. Shortly after choosing the partition to install Ubuntu to (choosing format type, checking off format drive, etc.) and clicking okay, Ubiquity crashed. At this point, there is nothing that can be done except to quit the installation process. If I restart without first mounting any drives, the installation works well, although halfway through the installation, there was a bad file (either to a bad disc, bad iso downloaded or some other cause).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.1.5

---------------
ubiquity (2.1.5) lucid; urgency=low

  [ Mario Limonciello ]
  * Mythbuntu: Don't start MySQL using the upstart scripts since they don't
    work in a chroot. (LP: #494830)

  [ Colin Watson ]
  * Update two more edit_partition calls to account for renamed format ->
    fmt argument (LP: #494608).
  * Remove hack forcing the use of sudo with the KDE frontend, as it no
    longer appears to be necessary and things break if we don't use kdesudo
    (LP: #494997).
  * Make ubiquity.parted_server's logging to /var/log/partman more
    distinctive.
  * Set sensible permissions on /var/log/installer/debug, not os.open's
    default of 0755.
  * Gather basic information from parted_server using the PARTITIONS command
    (all partitions on a disk at once), which is slightly faster than
    PARTITION_INFO (one partition at a time).
  * Initialise automation_error_cmd, error_cmd, and success_cmd to '' rather
    than None, since that's what's checked by the functions that use them.
  * Unlink /var/lib/localechooser/langlevel even if unlinking
    /var/lib/localechooser/preseeded fails.
  * Regain privileges to unlink /var/lib/localechooser/preseeded and
    /var/lib/localechooser/langlevel.
  * Enable debconffilter debugging if UBIQUITY_DEBUG_CORE=1, so that we can
    set DEBCONF_DEBUG=developer rather than DEBCONF_DEBUG=developer|filter
    which cdebconf doesn't understand.
  * Automatic update of included source packages: console-setup 1.34ubuntu5,
    partman-base 135ubuntu2.
 -- Colin Watson <email address hidden> Wed, 16 Dec 2009 00:31:12 +0000

Changed in ubiquity (Ubuntu Lucid):
status: Fix Committed → Fix Released
JEROME (jerome-borowiak) wrote :

I well retry

the 12/16 daily is installing fine.
Thanks much!

----- Original Message ----
> From: JEROME <email address hidden>
> To: <email address hidden>
> Sent: Thu, December 17, 2009 5:50:12 AM
> Subject: [Bug 494608] Re: ubiquity crashed with TypeError in partman_edit_dialog()
>
> I well retry
>
> --
> ubiquity crashed with TypeError in partman_edit_dialog()
> https://bugs.launchpad.net/bugs/494608
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “ubiquity” package in Ubuntu: Fix Released
> Status in “ubiquity” source package in Lucid: Fix Released
>
> Bug description:
> Binary package hint: ubiquity
>
> This error occurred with the Lucid Alpha 1 i386 desktop testing iso while using
> the manual partition option.
>
> Specifically I was attempting to reformat the first of two pre-created
> partitions.
>
> This actually happened twice but I experienced a hard lockup the first time
> trying to submit the bug report.
>
> Perhaps unrelated but I also had to choose Safe Graphics Mode to boot to the
> Live Desktop or even to be able to read the results of the Check disc for
> defects option. This is odd, I use openchrome drivers which have been supported
> since at least Gutsy.
>
> I'll submit specific hardware info shortly, I just want to get this sent before
> I get another lockup.
>
> ProblemType: Crash
> Architecture: i386
> Date: Wed Dec 9 10:41:48 2009
> DistroRelease: Ubuntu 10.04
> ExecutablePath: /usr/lib/ubiquity/bin/ubiquity
> InterpreterPath: /usr/bin/python2.6
> LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20091209)
> Package: ubiquity 2.1.4
> ProcCmdline: /usr/bin/python /usr/lib/ubiquity/bin/ubiquity --only
> ProcEnviron: Error: [Errno 13] Permission denied: '/proc/2798/environ'
> ProcVersionSignature: Ubuntu 2.6.32-7.10-generic
> PythonArgs: ['/usr/lib/ubiquity/bin/ubiquity', '--only']
> SourcePackage: ubiquity
> Tags: lucid
> Title: ubiquity crashed with TypeError in partman_edit_dialog()
> Uname: Linux 2.6.32-7-generic i686
> UserGroups:
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/494608/+subscribe

Ubuntu4life (jeroenmerks) wrote :

Works with 2.1.5

Thank you very much...

tags: added: bugpattern-needed
tags: removed: bugpattern-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers